<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010-2019 Federica Ugolotti
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 3
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.controllerform');

class AbookControllerBook extends JControllerForm
{
	protected function allowAdd($data = array())
        {
                // Initialise variables.
                $user           = JFactory::getUser();
		$jinput=JFactory::getApplication()->input;
               	$categoryId     = JArrayHelper::getValue($data, 'catid', $jinput->get('filter_category_id', '', 'INT'), 'int'); 
                $allow          = null;

                if ($categoryId) {
                        // If the category has been passed in the URL check it.
                        $allow  = $user->authorise('core.create', $this->option.'.category.'.$categoryId);
                }

                if ($allow === null) {
                        // In the absense of better information, revert to the component permissions.
                        return parent::allowAdd($data);
                } else {
                        return $allow;
                }
        }

	protected function allowEdit($data = array(), $key = 'id')
        {
                $recordId = (int) isset($data[$key]) ? $data[$key] : 0;
                $user = JFactory::getUser();

                // Zero record (id:0), return component edit permission by calling parent controller method
                if (!$recordId)
                {
                        return parent::allowEdit($data, $key);
                }

                // Check edit on the record asset (explicit or inherited)
                if ($user->authorise('core.edit', 'com_abook.book.' . $recordId))
                {
                        return true;
                }

                // Check edit own on the record asset (explicit or inherited)
                if ($user->authorise('core.edit.own', 'com_abook.book.' . $recordId))
                {
                        // Existing record already has an owner, get it
                        $record = $this->getModel()->getItem($recordId);

                        if (empty($record))
                        {
                                return false;
                        }

                        // Grant if current user is owner of the record
                        //return $user->get('id') == $record->created_by;
			return $user->get('id') == $record->user_id;
                }

                return false;
        }
}
