<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010-2019 Federica Ugolotti
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 3
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
defined('_JEXEC') or die('Restricted access');
JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');
JHtml::_('behavior.formvalidation');
JHtml::_('behavior.keepalive');
//JHtml::_('formbehavior.chosen', 'select');
JHtml::_('formbehavior.chosen', 'select', null, array('disable_search_threshold' => 0 ));
JFormHelper::addFieldPath(JPATH_COMPONENT . '/models/fields');
?>
<script type="text/javascript">
	Joomla.submitbutton = function(pressbutton) {
                if (pressbutton == 'book.cancel' || document.formvalidator.isValid(document.id('item-form'))) {
                	<?php echo $this->form->getField('description')->save(); ?>
                        Joomla.submitform(pressbutton, document.getElementById('item-form')); 
        	}
        }
</script>
<form action="<?php echo JRoute::_('index.php?option=com_abook&layout=edit&id='.(int) $this->item->id); ?>" method="post" name="adminForm" id="item-form" class="form-validate">
	<div class="form-inline form-inline-header">
               	<?php echo $this->form->renderField('title'); ?>
                <?php echo $this->form->renderField('subtitle'); ?>
	</div>
	<div class="form-horizontal">
                <?php echo JHtml::_('bootstrap.startTabSet', 'myTab', array('active' => 'general')); ?>
                <?php echo JHtml::_('bootstrap.addTab', 'myTab', 'general', JText::_('COM_ABOOK_GENERAL_OPTIONS', true)); ?>
		<div class="row-fluid">
                        <div class="span9">
                                <fieldset class="adminform">
					<?php echo $this->form->renderField('catid'); ?>
					<?php echo $this->form->renderField('ideditor'); ?>
					<?php echo $this->form->renderField('editedby'); ?>
					<?php echo $this->form->renderField('authorlist'); ?>
					<?php echo $this->form->renderField('idauth'); ?>
					<?php echo $this->form->renderField('idtag'); ?>
					<?php echo $this->form->renderField('note'); ?>
					<?php echo $this->form->getInput('description'); ?>
                                </fieldset>
                        </div>
                        <div class="span3">
				<fieldset class="form-vertical">
					<?php if($this->form->getValue('image')){?>
					<div class="control-group">
						<img class="img-polaroid hidden-phone" src="<?php echo JUri::root() . $this->form->getValue('image');?>" />
					</div>
					<?php }?>
                                        <?php echo $this->form->renderField('image'); ?>
                                        <?php echo $this->form->renderField('year'); ?>
                                        <?php echo $this->form->renderField('idlocation'); ?>
                                        <?php echo $this->form->renderField('idlibrary'); ?>
                                        <?php echo $this->form->renderField('catalogo'); ?>
                                        <?php echo $this->form->renderField('qty'); ?>
                                        <?php echo $this->form->renderField('price'); ?>
                                        <?php echo $this->form->renderField('pag'); ?>
                                        <?php echo $this->form->renderField('pag_index'); ?>
                                        <?php echo $this->form->renderField('isbn'); ?>
                                        <?php echo $this->form->renderField('issn'); ?>
                                        <?php echo $this->form->renderField('doi'); ?>
                                        <?php echo $this->form->renderField('numpublication'); ?>
                                        <div class="control-group">
						<div class="control-label"><?php echo $this->form->getLabel('file');?></div>
						<div class="controls">
                                        		<?php
							//per mettere la selezione con jce 
							//if (JComponentHelper::getComponent('com_jce', true)->enabled){
							//	echo $this->form->getInput('file');
							//}else{
								echo JHtml::_('files.files', 'jform[file]', $this->item->file, '', 'images'.DIRECTORY_SEPARATOR.$this->params->get('file_path'));
							//}?>
						</div>
                                        </div>
                                	<?php echo $this->form->renderField('url_label'); ?>
                                       	<?php echo $this->form->renderField('url'); ?>
				</fieldset>
                        </div>
                </div>
		<?php echo JHtml::_('bootstrap.endTab'); ?>
		<?php echo JHtml::_('bootstrap.addTab', 'myTab', 'publishing', JText::_('COM_ABOOK_FIELDSET_PUBLISHING', true)); ?>
                	<div class="row-fluid form-horizontal-desktop">
                                <div class="span6">
					<fieldset class="adminform">
                                		<?php echo $this->form->renderField('id'); ?>
			                	<?php echo $this->form->renderField('alias'); ?>
			                	<?php echo $this->form->renderField('dateinsert'); ?>
                        			<?php echo $this->form->renderField('state'); ?>
                        			<?php echo $this->form->renderField('access'); ?>
                        			<?php echo $this->form->renderField('user_id'); ?>
                        			<?php echo $this->form->renderField('created_by_alias'); ?>
                                		<?php echo $this->form->renderField('language'); ?>
					</fieldset>
				</div>
				<div class="span6">
					<fieldset class="adminform">
						<?php echo JLayoutHelper::render('joomla.edit.metadata', $this); ?>
					</fieldset>
				</div>
			</div>
		<?php echo JHtml::_('bootstrap.endTab'); ?>

		<?php echo JLayoutHelper::render('joomla.edit.params', $this); ?>
		<?php if ($this->canDo->get('core.admin')) : ?>
                        <?php echo JHtml::_('bootstrap.addTab', 'myTab', 'access-rules', JText::_('COM_ABOOK_FIELDSET_RULES', true)); ?>
				<div class="row-fluid form-horizontal-desktop">
					<div class="span12">
                                		<?php echo $this->form->getInput('rules'); ?>
					</div>
				</div>
                        <?php echo JHtml::_('bootstrap.endTab'); ?>
                <?php endif; ?>
                <?php echo JHtml::_('bootstrap.endTabSet'); ?>		
	</div>
        <input type="hidden" name="task" value="" />
        <?php echo JHtml::_('form.token'); ?>
</form>
<div class="clearfix"></div>
<p><?php echo JHTML::_('credit.credit');?></p>
